Name:           ncmpcpp
Version:        0.8.1
Release:        %mkrel 1
Summary:        Featureful ncurses based MPD client inspired by ncmpc
Group:          Sound
License:        GPLv2+
URL:            http://ncmpcpp.rybczak.net/
Source0:        http://ncmpcpp.rybczak.net/stable/%{name}-%{version}.tar.xz
Source1:	%name.desktop
BuildRequires:  curl-devel
BuildRequires:  taglib-devel
BuildRequires:  ncurses-devel
BuildRequires:  libmpdclient-devel
BuildRequires:  boost-devel
BuildRequires:  readline-devel
BuildRequires:  autoconf automake libtool

%description
A featureful ncurses based MPD client inspired by ncmpc. The main features are:

- tag editor
- playlist editor
- easy to use search engine
- media library
- music visualizer
- ability to fetch artist info from last.fm
- new display mode
- alternative user interface
- ability to browse and add files from outside of MPD music directory

.. and a lot more minor functions.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x --disable-static --enable-clock --with-taglib --enable-visualizer --enable-outputs
%make

%install
%makeinstall_std
install -Dpm 0644 %SOURCE1 %buildroot/%{_datadir}/applications/%name.desktop

%files
%defattr(-,root,root,-)
%doc doc/config doc/bindings AUTHORS NEWS COPYING
%{_bindir}/ncmpcpp
%{_mandir}/man1/%{name}*
%{_datadir}/applications/%name.desktop


%changelog
* Sun Dec 10 2017 Zen Subz <techars21 at gmail dot com> - 0.8.1-1pclos2017
- Updated build for PCLinuxOS
